- Qt 5.15
- Qt 3D
- QML Types
- ConeMesh QML Type
- Qt 5.15.8 Reference Documentation

# ConeMesh QML Type

A conical mesh. More...

Import Statement: | import Qt3D.Extras 2.15

- List of all members, including inherited members

## Properties

- bottomRadius : real
- hasBottomEndcap : bool
- hasTopEndcap : bool
- length : real
- rings : int
- slices : int
- topRadius : real

## Detailed Description

## Property Documentation

bottomRadius : real

Holds the bottom radius of the cone.

hasBottomEndcap : bool

Determines if the cone bottom is capped or open.

hasTopEndcap : bool

Determines if the cone top is capped or open.

length : real

Holds the length of the cone.

rings : int

Holds the number of rings in the mesh.

slices : int

Holds the number of slices in the mesh.

topRadius : real

Holds the top radius of the cone.